### Method

# GLib VariantType is_basic

since: 2.24

#### Declaration

    gboolean
    g_variant_type_is_basic (
      const GVariantType* type
    )

#### Description

Determines if the given `type` is a basic type.

Basic types are booleans, bytes, integers, doubles, strings, object paths and signatures.

Only a basic type may be used as the key of a dictionary entry.

This function returns `FALSE` for all indefinite types except `G_VARIANT_TYPE_BASIC`.

Available since: 2.24

#### Return value

Type: `gboolean`

`TRUE` if `type` is a basic type

Since 2.24